diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index fe6d5c5..5fec7f8 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -8179,12 +8179,12 @@ Automorphism(R:Ring): Join(Group, Eltable(R, R)) with
       ident(r, n)                     == r
       f = g                           == EQ(f, g)$Lisp
       elt(f, r)                       == apply(f, r, 1)
-      inv f                           == apply(f, #1, - #2)
-      f ** n                          == apply(f, #1, n * #2)
+      inv f  == (r1:R, i2:Integer):R +-> apply(f, r1, - i2)
+      f ** n == (r1:R, i2:Integer):R +-> apply(f, r1, n * i2)
       coerce(f:%):OutputForm          == message("R -> R")
       morphism(f:(R, Integer) -> R):% == f
       morphism(f:R -> R):%            == morphism(f, err)
-      morphism(f, g)                  == iterat(f, g, #2, #1)
+      morphism(f, g) == (r1:R, i2:Integer):R +-> iterat(f, g, i2, r1)
       apply(f, r, n) == (g := f pretend ((R, Integer) -> R); g(r, n))
  
       iterat(f, g, n, r) ==
@@ -8197,7 +8197,10 @@ Automorphism(R:Ring): Join(Group, Eltable(R, R)) with
  
       f * g ==
         f = g => f**2
-        iterat(f g #1, (inv g)(inv f) #1, #2, #1)
+        (r1:R, i2:Integer):R +-> 
+          iterat((u1:R):R +-> f g u1, 
+                 (v1:R):R +-> (inv g)(inv f) v1, 
+                 i2, r1)
 
 @
 <<AUTOMOR.dotabb>>=
@@ -8828,11 +8831,11 @@ BasicFunctions():  E == I where
     bf():$ ==
       import RS
       dpi := pi()$DF
-      ndpi:SDF := map(#1*dpi,(z := generate(f,0))) -- [n pi for n in Z]
-      n1dpi:SDF := map(-(2*(#1)-1)*dpi/2,z) -- [(n+1) pi /2]
-      n2dpi:SDF := map(2*#1*dpi,z) -- [2 n pi for n in Z]
-      n3dpi:SDF := map(-(4*(#1)-1)*dpi/4,z)
-      n4dpi:SDF := map(-(4*(#1)-1)*dpi/2,z)
+      ndpi:SDF := map(x1+->x1*dpi,(z := generate(f,0))) -- [n pi for n in Z]
+      n1dpi:SDF := map(x1+->-(2*(x1)-1)*dpi/2,z) -- [(n+1) pi /2]
+      n2dpi:SDF := map(x1+->2*x1*dpi,z) -- [2 n pi for n in Z]
+      n3dpi:SDF := map(x1+->-(4*(x1)-1)*dpi/4,z)
+      n4dpi:SDF := map(x1+->-(4*(x1)-1)*dpi/2,z)
       sinEntry:RS := [ndpi, n4dpi, empty()$SDF]
       cosEntry:RS := [n1dpi, n2dpi, esdf := empty()$SDF]
       tanEntry:RS := [ndpi, n3dpi, n1dpi]
diff --git a/changelog b/changelog
index b6c9104..ce73115 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090509 tpd src/axiom-website/patches.html 20090509.02.tpd.patch
+20090509 tpd books/bookvol10.3 BFUNCT +-> conversion
 20090509 tpd src/axiom-website/patches.html 20090509.01.tpd.patch
 20090509 tpd bookvol10.2 ARR2CAT +-> conversion
 20090508 tpd src/axiom-website/patches.html 20090508.09.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9bd1468..ae74504 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1134,5 +1134,7 @@ bookvol10.4 INTHERAL +-> conversion<br/>
 bookvol10.2 EF +-> conversion<br/>
 <a href="patches/20090509.01.tpd.patch">20090509.01.tpd.patch</a>
 bookvol10.2 ARR2CAT +-> conversion<br/>
+<a href="patches/20090509.02.tpd.patch">20090509.02.tpd.patch</a>
+bookvol10.3 BFUNCT +-> conversion<br/>
  </body>
 </html>
